/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.personCapture.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fhs.core.trans.anno.Trans;
import com.fhs.core.trans.constant.TransType;
import com.fhs.core.trans.vo.TransPojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.modular.base.pigpen.entity.BasePigpen;
import vip.xiaonuo.sys.modular.user.entity.SysUser;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 人员识别实体
 *
 * @author newspaper
 * @date  2024/01/06 13:56
 **/
@Getter
@Setter
@TableName("person_capture")
public class PersonCapture implements TransPojo {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 时间 */
    @ApiModelProperty(value = "时间", position = 2)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date capTime;

    /** 姓名 */
    @ApiModelProperty(value = "姓名", position = 3)
    private String name;

    /** 类型 */
    @ApiModelProperty(value = "类型", position = 4)
    private String personType;

    /** 照片 */
    @ApiModelProperty(value = "照片", position = 5)
    private String carImgUrl;

    /** 尝试进入区域 */
    @ApiModelProperty(value = "尝试进入区域", position = 6)
    private String devName;

    /** 结果 */
    @ApiModelProperty(value = "结果", position = 7)
    private String capResult;

    /** 通知人 */
    @ApiModelProperty(value = "通知人id", position = 8)
    @Trans(type = TransType.SIMPLE,target = SysUser.class,fields = "name", alias = "user", ref = "notifier")
    private String notifierId;

    @ApiModelProperty(value = "通知人名称", position = 9)
    @TableField(exist = false)
    private String notifier;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 9)
    private String orgId;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 10)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;
}
