/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.speciesCapture.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 外来生物识别实体
 *
 * @author newspaper
 * @date  2024/01/06 11:32
 **/
@Getter
@Setter
@TableName("species_capture")
public class SpeciesCapture {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 时间 */
    @ApiModelProperty(value = "时间", position = 2)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date capTime;

    /** 照片 */
    @ApiModelProperty(value = "照片", position = 3)
    private String imgUrl;

    /** 尝试进入区域 */
    @ApiModelProperty(value = "尝试进入区域", position = 4)
    private String devName;

    /** 通知人 */
    @ApiModelProperty(value = "通知人", position = 5)
    private String notifier;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 6)
    private String orgId;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 7)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;
}
