/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.speciesCapture.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.ai.speciesCapture.entity.SpeciesCapture;
import vip.xiaonuo.modular.ai.speciesCapture.param.SpeciesCaptureAddParam;
import vip.xiaonuo.modular.ai.speciesCapture.param.SpeciesCaptureEditParam;
import vip.xiaonuo.modular.ai.speciesCapture.param.SpeciesCaptureIdParam;
import vip.xiaonuo.modular.ai.speciesCapture.param.SpeciesCapturePageParam;

import java.util.List;

/**
 * 外来生物识别Service接口
 *
 * @author newspaper
 * @date  2024/01/06 11:32
 **/
public interface SpeciesCaptureService extends IService<SpeciesCapture> {

    /**
     * 获取外来生物识别分页
     *
     * @author newspaper
     * @date  2024/01/06 11:32
     */
    Page<SpeciesCapture> page(SpeciesCapturePageParam speciesCapturePageParam);

    /**
     * 添加外来生物识别
     *
     * @author newspaper
     * @date  2024/01/06 11:32
     */
    void add(SpeciesCaptureAddParam speciesCaptureAddParam);

    /**
     * 编辑外来生物识别
     *
     * @author newspaper
     * @date  2024/01/06 11:32
     */
    void edit(SpeciesCaptureEditParam speciesCaptureEditParam);

    /**
     * 删除外来生物识别
     *
     * @author newspaper
     * @date  2024/01/06 11:32
     */
    void delete(List<SpeciesCaptureIdParam> speciesCaptureIdParamList);

    /**
     * 获取外来生物识别详情
     *
     * @author newspaper
     * @date  2024/01/06 11:32
     */
    SpeciesCapture detail(SpeciesCaptureIdParam speciesCaptureIdParam);

    /**
     * 获取外来生物识别详情
     *
     * @author newspaper
     * @date  2024/01/06 11:32
     **/
    SpeciesCapture queryEntity(String id);
}
