/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.pigpen.entity;


import com.baomidou.mybatisplus.annotation.*;
import com.fhs.core.trans.vo.TransPojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.util.Date;

/**
 * base_pigpen实体
 *
 * @author newspaper
 * @date  2023/12/05 08:55
 **/
@Getter
@Setter
@TableName(value = "base_pigpen", autoResultMap = true)
public class BasePigpen extends CommonEntity implements TransPojo {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 栋舍名字 */
    @ApiModelProperty(value = "栋舍名字", position = 2)
    private String buildName;

    /** 父级ID */
    @ApiModelProperty(value = "父级ID", position = 3)
    private String parentId;

    /** 所有父级ID */
    @ApiModelProperty(value = "所有父级ID", position = 4)
    private String pids;

    /** 排序 */
    @ApiModelProperty(value = "栋舍全名", position = 5)
    private String fullName;

    /** 类型 0:栋舍 1:楼层 2:单元 */
    @ApiModelProperty(value = "类型 0:栋舍 1:楼层 2:单元", position = 6)
    private Integer type;

    /** 阶段 */
    @ApiModelProperty(value = "阶段", position = 7)
    private String stage;

    /** 容量 */
    @ApiModelProperty(value = "容量", position = 8)
    private Integer capacity;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 9)
    private String orgId;

    /** 排序 */
    @ApiModelProperty(value = "排序", position = 10)
    private Integer sort;


}
