/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigcure.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 防治信息添加参数
 *
 * @author wang
 * @date  2023/12/08 10:03
 **/
@Getter
@Setter
public class PigCureAddParam {

    /** 耳标号 */
    @ApiModelProperty(value = "耳标号", position = 2)
    private String eartag;

    /** 当前位置id */
    @ApiModelProperty(value = "当前位置id", position = 3)
    private String unitId;

    /** 当前位置 */
    @ApiModelProperty(value = "当前位置", position = 4)
    private String unitName;

    /** 转入位置 */
    @ApiModelProperty(value = "转入位置", position = 5)
    private String intoName;

    /** 防治日期 */
    @ApiModelProperty(value = "防治日期", position = 6)
    private Date cureDate;

    /** 所患疾病 */
    @ApiModelProperty(value = "所患疾病", position = 7)
    private String cureName;

    /** 治疗药物 */
    @ApiModelProperty(value = "治疗药物", position = 8)
    private String drug;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 9)
    private String remark;

//    /** 创建时间 */
//    @ApiModelProperty(value = "创建时间", position = 10)
//    private Date createDate;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 14)
    private String orgId;

}
