/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.env.envThreshold.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 环控阈值添加参数
 *
 * @author newspaper
 * @date  2023/12/25 15:38
 **/
@Getter
@Setter
public class EnvThresholdSyncParam {

    /** 春季温度上限 */
    @ApiModelProperty(value = "春季温度上限", required = true, position = 1)
    @NotNull(message = "springTemUpper不能为空")
    private BigDecimal springTemUpper;

    /** 春季温度下限 */
    @ApiModelProperty(value = "春季温度下限", required = true, position = 2)
    @NotNull(message = "springTemLower不能为空")
    private BigDecimal springTemLower;

    /** 春季湿度上限 */
    @ApiModelProperty(value = "春季湿度上限", required = true, position = 3)
    @NotNull(message = "springHumiUpper不能为空")
    private BigDecimal springHumiUpper;

    /** 春季湿度下限 */
    @ApiModelProperty(value = "春季湿度下限", required = true, position = 4)
    @NotNull(message = "springHumiLower不能为空")
    private BigDecimal springHumiLower;

    /** 夏季温度上限 */
    @ApiModelProperty(value = "夏季温度上限", required = true, position = 5)
    @NotNull(message = "summerTemUpper不能为空")
    private BigDecimal summerTemUpper;

    /** 夏季温度下限 */
    @ApiModelProperty(value = "夏季温度下限", required = true, position = 6)
    @NotNull(message = "summerTemLower不能为空")
    private BigDecimal summerTemLower;

    /** 夏季湿度上限 */
    @ApiModelProperty(value = "夏季湿度上限", required = true, position = 7)
    @NotNull(message = "summerHumiUpper不能为空")
    private BigDecimal summerHumiUpper;

    /** 夏季湿度下限 */
    @ApiModelProperty(value = "夏季湿度下限", required = true, position = 8)
    @NotNull(message = "summerHumiLower不能为空")
    private BigDecimal summerHumiLower;

    /** 秋季温度上限 */
    @ApiModelProperty(value = "秋季温度上限", required = true, position = 9)
    @NotNull(message = "autumnTemUpper不能为空")
    private BigDecimal autumnTemUpper;

    /** 秋季温度下限 */
    @ApiModelProperty(value = "秋季温度下限", required = true, position = 10)
    @NotNull(message = "autumnTemLower不能为空")
    private BigDecimal autumnTemLower;

    /** 秋季湿度上限 */
    @ApiModelProperty(value = "秋季湿度上限", required = true, position = 11)
    @NotNull(message = "autumnHumiUpper不能为空")
    private BigDecimal autumnHumiUpper;

    /** 冬季湿度下限 */
    @ApiModelProperty(value = "冬季湿度下限", required = true, position = 12)
    @NotNull(message = "autumnHumiLower不能为空")
    private BigDecimal autumnHumiLower;

    /** 冬季温度上限 */
    @ApiModelProperty(value = "冬季温度上限", required = true, position = 13)
    @NotNull(message = "winterTemUpper不能为空")
    private BigDecimal winterTemUpper;

    /** 冬季温度下限 */
    @ApiModelProperty(value = "冬季温度下限", required = true, position = 14)
    @NotNull(message = "winterTemLower不能为空")
    private BigDecimal winterTemLower;

    /** 冬季湿度上限 */
    @ApiModelProperty(value = "冬季湿度上限", required = true, position = 15)
    @NotNull(message = "winterHumiUpper不能为空")
    private BigDecimal winterHumiUpper;

    /** 冬季湿度下限 */
    @ApiModelProperty(value = "冬季湿度下限", required = true, position = 16)
    @NotNull(message = "winterHumiLower不能为空")
    private BigDecimal winterHumiLower;

    /** 单元父ID */
    @ApiModelProperty(value = "单元父ID", required = true, position = 17)
    @NotBlank(message = "单元父ID不能为空")
    private String unitId;
}
