/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.env.envdevice.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 环控设备编辑参数
 *
 * @author newspaper
 * @date  2023/12/18 09:58
 **/
@Getter
@Setter
public class EnvDeviceEditParam extends EnvDeviceOrgIdParam{

    /** id */
    @ApiModelProperty(value = "id", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 设备编号 */
    @ApiModelProperty(value = "设备编号", required = true, position = 2)
    @NotBlank(message = "deviceCode不能为空")
    private String deviceCode;

    /** 设备类型id */
    @ApiModelProperty(value = "设备类型id", required = true, position = 3)
    @NotBlank(message = "deviceTypeId不能为空")
    private String deviceTypeId;

    /** 设备名称 */
    @ApiModelProperty(value = "设备名称", required = true, position = 4)
    @NotBlank(message = "deviceName不能为空")
    private String deviceName;

    /** 安装位置 */
    @ApiModelProperty(value = "安装位置", required = true, position = 5)
    @NotBlank(message = "installPosition不能为空")
    private String installPosition;

    /** 风机数量 */
    @ApiModelProperty(value = "风机数量", required = true, position = 6)
    @NotNull(message = "fanNum不能为空")
    private Integer fanNum;

    /** 水帘数量 */
    @ApiModelProperty(value = "水帘数量", required = true, position = 7)
    @NotNull(message = "curtainNum不能为空")
    private Integer curtainNum;

}
