/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.feed.feedingenv.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 精准饲喂设备添加参数
 *
 * @author wang
 * @date  2023/12/28 11:26
 **/
@Getter
@Setter
public class FeedingEnvAddParam {

    /** 设备编号 */
    @ApiModelProperty(value = "设备编号", position = 2)
    private String deviceCode;

    /** 设备类型 */
    @ApiModelProperty(value = "设备类型", position = 3)
    private String deviceType;

    /** 设备名称 */
    @ApiModelProperty(value = "设备名称", position = 4)
    private String deviceName;

    /** 安装位置id */
    @ApiModelProperty(value = "安装位置id", position = 5)
    private String unitId;

    /** 安装位置名称 */
    @ApiModelProperty(value = "安装位置名称", position = 6)
    private String unitName;

    /** 关联母猪耳标号 */
    @ApiModelProperty(value = "关联母猪耳标号", position = 7)
    private String eartagNum;

    /** 设备状态 0为在线 1为离线 */
    @ApiModelProperty(value = "设备状态 0为离线 1为在线", position = 8)
    private Integer deviceStatus;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 9)
    private String orgId;

}
