/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.feed.feedingfat.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 精准饲喂母猪采食实体
 *
 * @author wang
 * @date  2023/12/28 09:22
 **/
@Getter
@Setter
@TableName("feeding_fat")
public class FeedingFat {

    /** ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 栋舍id */
    @ApiModelProperty(value = "栋舍id", position = 2)
    private String unitId;

    /** 栋舍名称 */
    @ApiModelProperty(value = "栋舍名称", position = 3)
    private String unitName;

    /** 母猪耳标号 */
    @ApiModelProperty(value = "母猪耳标号", position = 4)
    private String eartagNum;

    /** 饮水量 */
    @ApiModelProperty(value = "饮水量", position = 5)
    private String waterValue;

    /** 采食量 */
    @ApiModelProperty(value = "采食量", position = 6)
    private String feedValue;

    /** 体重 */
    @ApiModelProperty(value = "体重", position = 7)
    private String weigthValue;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 8)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 上传时间 */
    @ApiModelProperty(value = "上传时间", position = 9)
    private Date uploadTime;

    /** 设备编号 */
    @ApiModelProperty(value = "设备编号", position = 10)
    private String deviceCode;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 11)
    private String orgId;

    /** 运动量 */
    @ApiModelProperty(value = "运动量", position = 12)
    private String feedAct;

    /** 体温 */
    @ApiModelProperty(value = "体温", position = 13)
    private String temp;

    /** 日龄 */
    @ApiModelProperty(value = "日龄", position = 14)
    private String dayNum;

    /** 日龄 */
    @ApiModelProperty(value = "设备类型 0为母猪 1为肥猪", position = 15)
    private String deviceType;

    /** 日龄 */
    @ApiModelProperty(value = "料肉比", position = 16)
    private String rank;
}
